Component({
  properties: {
    list: {
      type: Array
    }
  },
  data: {
    showAll: false
  },
  methods: {
    onChange({
      detail
    }) {
      this.setData({
        showAll: detail
      })
    }
  }
})